# الحصول على معلومات متجر المتجهات

{% openapi src="/files/HnPQpOiuTrIsiKLD8NFc" path="/vector-stores/me" method="get" %}
[rememberizer\_openapi.yml](https://4065521171-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FKV4TZLzR1jCpM5coRezn%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=5e84eb03-c48b-4980-9792-73172ea64dd4)
{% endopenapi %}

## طلبات مثال

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/vector-stores/me \
  -H "x-api-key: YOUR_API_KEY"
```

{% hint style="info" %}
استبدل `YOUR_API_KEY` بمفتاح واجهة برمجة التطبيقات الخاص بك في Vector Store.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getVectorStoreInfo = async () => {
  const response = await fetch('https://api.rememberizer.ai/api/v1/vector-stores/me', {
    method: 'GET',
    headers: {
      'x-api-key': 'YOUR_API_KEY'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getVectorStoreInfo();
```

{% hint style="info" %}
استبدل `YOUR_API_KEY` بمفتاح واجهة برمجة التطبيقات الخاص بك في Vector Store.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_vector_store_info():
    headers = {
        "x-api-key": "YOUR_API_KEY"
    }
    
    response = requests.get(
        "https://api.rememberizer.ai/api/v1/vector-stores/me",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_vector_store_info()
```

{% hint style="info" %}
استبدل `YOUR_API_KEY` بمفتاح واجهة برمجة التطبيقات الخاص بك في Vector Store.
{% endhint %}
{% endtab %}
{% endtabs %}

## تنسيق الاستجابة

```json
{
  "id": "vs_abc123",
  "name": "My Vector Store",
  "description": "مخزن متجهات لوثائق المنتجات",
  "embedding_model": "sentence-transformers/all-mpnet-base-v2",
  "indexing_algorithm": "ivfflat",
  "vector_dimension": 128,
  "search_metric": "cosine_distance",
  "created": "2023-06-01T10:30:00Z",
  "modified": "2023-06-15T14:45:00Z"
}
```

## المصادقة

تتطلب هذه النقطة النهائية المصادقة باستخدام مفتاح API في رأس `x-api-key`.

## ردود الأخطاء

| رمز الحالة | الوصف                                       |
| ---------- | ------------------------------------------- |
| 401        | غير مصرح - مفتاح API غير صالح أو مفقود      |
| 404        | غير موجود - لم يتم العثور على متجر المتجهات |
| 500        | خطأ في الخادم الداخلي                       |

تسترجع هذه النقطة النهاية معلومات حول متجر المتجهات المرتبط بمفتاح API المقدم. إنها مفيدة للتحقق من تفاصيل التكوين، بما في ذلك نموذج التضمين، والأبعاد، ومقياس البحث المستخدم. يمكن أن تكون هذه المعلومات قيمة لتحسين استعلامات البحث وفهم قدرات متجر المتجهات.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rememberizer.ai/ar/mward-almtwryn/api-docs/vector-store/get-vector-stores-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
